Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Courses

Get Course Participations
GET /training/courses/participation
https://api.relesysapp.net/api/v1.1/training/courses/participation
Get a list of course participations.

Deprecated — use GET /api/v1.4/training/courses/statistics instead.
Not available in API v1.4 and later.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseId string / guid Filterable optional
courseParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseId":"b3f4b4b0-e17c-421b-9e67-0eb52d189309","userId":"3b4ea2b7-b86e-4fe8-ba97-166de60f49d8","courseParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":1.0,"performanceScore":0.9,"points":5},{"courseId":"d8572385-c260-434b-a48e-b813d516f506","userId":"65ae5b19-6cdf-49bb-a1de-6c6b69273856","courseParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":1.0,"performanceScore":0.9,"points":5}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseId string / guid      
   courseParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string